PipeWire: spa_meta_header Struct Reference

PipeWire 1.6.7

Loading...
Searching...
No Matches
spa_meta_header Struct Reference
SPA » Buffers

Describes essential buffer header metadata such as flags and timestamps. More...

`#include <spa/buffer/meta.h>`

## Data Fields
uint32_t | flags
| flags
uint32_t | offset
| offset in current cycle
int64_t | pts
| presentation timestamp in nanoseconds
int64_t | dts_offset
| decoding timestamp as a difference with pts
uint64_t | seq
| sequence number, increments with a media specific frequency

## Detailed Description

Describes essential buffer header metadata such as flags and timestamps.

Examples
  export-sink.c, export-source.c, local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, video-dsp-src.c, video-play-pull.c, video-play-sync.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## Field Documentation

## ◆ flags

uint32_t spa_meta_header::flags

flags

Examples
  video-dsp-src.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## ◆ offset

uint32_t spa_meta_header::offset

offset in current cycle

## ◆ pts

int64_t spa_meta_header::pts

presentation timestamp in nanoseconds

Examples
  video-dsp-src.c, video-play-sync.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## ◆ dts_offset

int64_t spa_meta_header::dts_offset

decoding timestamp as a difference with pts

Examples
  video-dsp-src.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## ◆ seq

uint64_t spa_meta_header::seq

sequence number, increments with a media specific frequency

Examples
  video-dsp-src.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

The documentation for this struct was generated from the following file:

- spa/buffer/meta.h